<div class="page-header">
  <div class="page-header__title">XRD Jobs</div>
  <div class="page-header__tools">
    <xrd-job-groups-sort
      (changeSort)="changeJobGroupsSort($event)"
      currentJobGroupsSort="{{ jobGroupsSort }}"
      currentJobGroupsFilter="{{ jobGroupsFilter }}"
    ></xrd-job-groups-sort>
    <xrd-compare-btn></xrd-compare-btn>
    <a class="pillow-button" mat-button routerLink="/xrd/job/create" routerLinkActive="active">
      Create New Job
    </a>
  </div>
</div>
<div class="content">
  <ng-container *ngIf="data">
    <ng-container *ngIf="data.items && data.items.length > 0; else noResultsBlock">
      <mat-accordion [multi]="true" [hideToggle]="true" class="accordion">
        <mat-expansion-panel
          *ngFor="let jobGroup of data.items"
          (mouseenter)="showToolsForGroup = jobGroup.id"
          (mouseleave)="showToolsForGroup = null"
        >
          <mat-expansion-panel-header class="job-group-header">
            <mat-panel-title class="job-group-header__title">
              <gng-inline-edit
                [text]="jobGroup.name"
                [showEditIcon]="showToolsForGroup === jobGroup.id"
                (changeText)="changeJobGroupName($event, jobGroup)"
              ></gng-inline-edit>
            </mat-panel-title>
            <mat-panel-description class="job-group-header__description">
              <div>Created by: {{ jobGroup.createdBy }}</div>
              <div class="raw-data-btn" (click)="openRawData($event, jobGroup.jobGroupFile.data)">Raw Data</div>
            </mat-panel-description>
          </mat-expansion-panel-header>
          <ng-template matExpansionPanelContent>
            <div class="job-group__description">
              <gng-inline-edit
                *ngIf="jobGroup.description"
                [text]="jobGroup.description"
                [showEditIcon]="showToolsForGroup === jobGroup.id"
                (changeText)="changeJobGroupDescription($event, jobGroup)"
              ></gng-inline-edit>
            </div>
            <xrd-runs-list [groupId]="jobGroup.id"></xrd-runs-list>
          </ng-template>
        </mat-expansion-panel>
      </mat-accordion>
    </ng-container>

    <ng-template #noResultsBlock>
      <h4 class="no-jobs">
        No XRD jobs available for you.
        <a [routerLink]="'/xrd/job/create'" class="no-jobs__create-new">Create New Job</a>
      </h4>
    </ng-template>
  </ng-container>

  <gng-spinner *ngIf="loading"></gng-spinner>

  <mat-paginator
    [hidden]="loading || !data || !data.items.length"
    class="paginator"
    [length]="data ? data.count : 0"
    [pageSize]="DefaultPageSize"
    [pageSizeOptions]="[5, 15, 30, 50, 100]"
    showFirstLastButtons
  >
  </mat-paginator>
</div>
